Bug 10172 - Some links and blocks could be hidden when printing a record
Summary: Some links and blocks could be hidden when printing a record
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-02 09:43 UTC by mathieu saby
Modified: 2016-12-05 21:22 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10172: Hide some uneeded stuffs on printing a record (2.41 KB, patch)
2015-04-15 10:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10172: Hide some uneeded stuffs on printing a record (2.48 KB, patch)
2015-04-16 21:15 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 10172: Hide some uneeded stuffs on printing a record (2.53 KB, patch)
2015-04-21 06:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10172: Hide some uneeded stuffs on printing a record (9.23 KB, patch)
2015-05-26 10:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-05-02 09:43:34 UTC
When you print a record, you can see the new "MARC Preview" link under the record.
It is useless, as you can click on your sheet of paper ;-)

M. Saby
Comment 1 Jonathan Druart 2015-04-15 10:42:27 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-04-16 21:15:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-21 06:01:13 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2015-05-18 15:07:40 UTC
The patch 'works', but you should implement it on print.less instead of editing the print.css file yourself.
Comment 5 Katrin Fischer 2015-05-18 18:52:42 UTC
To defend this patch a bit... print.less was added to master 13 days ago - after this patch had been written.
Comment 6 Tomás Cohen Arazi 2015-05-19 01:34:45 UTC
(In reply to Katrin Fischer from comment #5)
> To defend this patch a bit... print.less was added to master 13 days ago -
> after this patch had been written.

Still have time to push it. Please re-do so it applies.
Comment 7 Jonathan Druart 2015-05-26 10:25:59 UTC
Created attachment 39507 [details] [review]
Bug 10172: Hide some uneeded stuffs on printing a record

When printing a record from the OPAC or the staff interface, some
uneeded blocks are displayed.

OPAC:
1/ Browse results
2/ The view tags (Normal, MARC, ISBD)

Intranet:
1/ Marc view link
2/ The Please upload one image link

Test plan:
On a record detail page (staff and OPAC), print the page and confirm
these blocks no longer appear.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-06-22 14:43:09 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2015-07-06 21:27:19 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 10 Liz Rea 2015-07-20 22:08:28 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 11 Mason James 2015-07-25 06:57:15 UTC
Patch not pushed 3.16.x branch, due to patch conflicts